#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "widget.h"

#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

	total=0; // 변수 초기화

	w2 = new Widget();  // 단 하나의 widget만 생성
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_pushButton_reset_clicked()
{

	total=0; // 변수 초기화

	ui->label_1->setText(trUtf8("0"));

	ui->pushButton_start->setEnabled(true); // 시작버튼 비활성화

}

void MainWindow::on_pushButton_start_clicked()
{
	ui->pushButton_start->setEnabled(false); // 시작버튼 비활성화

	for(int i=1; i<=1000000; i++)
	{
		total += i;
		for(int j=0; j<1000; j++)
		{
			//테스트를 위해 계산 속도지연
		}
	}

	ui->label_1->setText(QString::number(total));

	total=0; // 변수 초기화

	ui->pushButton_start->setEnabled(true); // 시작버튼 비활성화
}


void MainWindow::on_pushButton_run_program2_clicked()
{
	w2->show();
}

void MainWindow::on_pushButton_quit_program2_clicked()
{
	w2->close();
}

void MainWindow::closeEvent(QCloseEvent *event)
{
	w2->close(); // 부모창이 close될때, w2도 close
}

