#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "widget.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
	void closeEvent(QCloseEvent *event); //closeEvent 추가

private:
    Ui::MainWindow *ui;

	int total;

	QWidget *w2;

private slots:
	void on_pushButton_quit_program2_clicked();
	void on_pushButton_run_program2_clicked();
	void on_pushButton_start_clicked();
	void on_pushButton_reset_clicked();
};

#endif // MAINWINDOW_H
